Permalink
Browse files

bump gradle-plugin@2.3.3, gradle@3.5.1, gradle-download-task@3.4.3 (#…

…19697)

Summary:
bump gradle-plugin@2.3.3, gradle@3.5.1, gradle-download-task@3.4.3, as we landed build tools 26.0.2 with 065c5b6

Will improve Android build performance.

Everything will work as normal, but build faster.

<!--
  Required.
  Help reviewers and the release process by writing your own release notes. See below for an example.
-->

[ANDROID] [ENHANCEMENT] [TOOLS] - bump gradle-plugin@2.3.3, gradle@3.5.1, gradle-download-task@3.4.3
Closes #19697

Differential Revision: D8433743

Pulled By: hramos

fbshipit-source-id: da72aeb314bed7f63807a0c69bebd24c633cc807
  • Loading branch information...
dulmandakh authored and facebook-github-bot committed Jun 14, 2018
1 parent 6d56a23 commit 699e5eebe807d1ced660d2d2f39b5679d26925da
View
@@ -13,8 +13,8 @@ buildscript {
}
}
dependencies {
classpath 'com.android.tools.build:gradle:2.2.2'
classpath 'de.undercouch:gradle-download-task:3.1.2'
classpath 'com.android.tools.build:gradle:2.3.3'
classpath 'de.undercouch:gradle-download-task:3.4.3'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-2.14.1-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-3.5.1-all.zip
@@ -9,7 +9,7 @@ buildscript {
}
}
dependencies {
classpath 'com.android.tools.build:gradle:2.2.3'
classpath 'com.android.tools.build:gradle:2.3.3'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
@@ -2,4 +2,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-2.14.1-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-3.5.1-all.zip

3 comments on commit 699e5ee

@fungilation

This comment has been minimized.

fungilation replied Jul 7, 2018

I had to stay on gradle plugin 2.2.3 (com.android.tools.build:gradle) to avoid android build failing with NDK r17: #19321. NDK 17 is default with current Android Studio.

@dulmandakh

This comment has been minimized.

Collaborator

dulmandakh replied Jul 7, 2018

@fungilation

This comment has been minimized.

fungilation replied Jul 7, 2018

If NDK is not installed with gradle plugin 2.3.3, it would litter warnings everywhere on react-native run-android.

I'll rephrase with NDK install: installing in Android Studio is the most obvious installation path, and there's no way to specify NDK version to install there.

Please sign in to comment.